Commit 2d1efebf authored by Olivier Lantsoght's avatar Olivier Lantsoght
Browse files

[CMake] Update CMake minimum version in templates.

parent bab98dc8
......@@ -13,11 +13,7 @@
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# CMake minimum version
if (UNIX)
cmake_minimum_required(VERSION 2.8.7)
else()
cmake_minimum_required(VERSION 3.4)
endif ()
cmake_minimum_required(VERSION 3.4)
# project name
project ($prjName$)
......
......@@ -12,11 +12,8 @@
# LIBRARY MAIN CONFIGURATIONS
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
if (UNIX)
cmake_minimum_required(VERSION 2.8.7)
else()
cmake_minimum_required(VERSION 3.4)
endif ()
# CMake minimum version
cmake_minimum_required(VERSION 3.4)
if(NOT DEFINED SYMBOLIC_LIB_NAME)
set (SYMBOLIC_LIB_NAME "Project_symbolic")
......
......@@ -12,11 +12,8 @@
# LIBRARY MAIN CONFIGURATIONS
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
if (UNIX)
cmake_minimum_required(VERSION 2.8.7)
else()
cmake_minimum_required(VERSION 3.4)
endif ()
# CMake minimum version
cmake_minimum_required(VERSION 3.4)
if(NOT DEFINED USERFCT_LIB_NAME)
set (USERFCT_LIB_NAME "Project_userfct")
......
......@@ -13,11 +13,7 @@
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# CMake minimum version
if (UNIX)
cmake_minimum_required(VERSION 2.8.7)
else()
cmake_minimum_required(VERSION 3.4)
endif ()
cmake_minimum_required(VERSION 3.4)
# project name
project ($prjName$)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment